<template>
  <div class="flex flex-col gap-4">
    <h1>Авторизация</h1>
    <app-input
      v-for="item in fields"
      :key="item.name"
      v-model="item.value"
      :label="item.label"
      :type="item.type"
    />
    <el-button @click="sendData">Войти</el-button>
  </div>
</template>

<script setup lang="ts">
import { computed, reactive } from "@vue/reactivity";
import { api } from "api";

interface Inputs {
  name: string;
  label: string;
  value: string;
  type: string;
  validate: boolean;
}

let fields: Inputs[] = reactive([
  {
    name: "login",
    label: "Логин",
    value: "",
    type: "text",
    validate: true,
  },
  {
    name: "password",
    label: "Пароль",
    value: "",
    type: "password",
    validate: true,
  },
]);

function sendData() {
  api.post("/auth/sign-up/");
}

// const disabled = computed(() => {
//     if (login && password) {
//         console.log(true);
//         return true;
//     } else {
//         console.log(false);
//         return false;
//     }
// });
</script>
